# Class DefaultSQLTemplateTranslator

java.lang.Object
org.apache.cayenne.access.translator.sqltemplate.DefaultSQLTemplateTranslator

All Implemented Interfaces:
  `SQLTemplateTranslator`

public class DefaultSQLTemplateTranslator extends Object implements SQLTemplateTranslator

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultSQLTemplateTranslator(TemplateContextFactory contextFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TranslatedSQL`
  `process(String template, Context context)`
  `TranslatedSQL`
  `translate(String template, List<Object> positionalParameters, DbAdapter adapter)`
  Builds and returns a SQLStatement based on SQL template String and a list of positional parameters.
  `TranslatedSQL`
  `translate(String template, Map<String,?> parameters, DbAdapter adapter)`
  Builds and returns a SQLStatement based on SQL template String and a map of parameters.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultSQLTemplateTranslator

    public DefaultSQLTemplateTranslator(TemplateContextFactory contextFactory)

- ## Method Details

  - ### translate

    public TranslatedSQL translate(String template, Map<String,?> parameters, DbAdapter adapter)
    Description copied from interface: `SQLTemplateTranslator`
    Builds and returns a SQLStatement based on SQL template String and a map of parameters.
    Specified by:
      `translate` in interface `SQLTemplateTranslator`

  - ### translate

    public TranslatedSQL translate(String template, List<Object> positionalParameters, DbAdapter adapter)
    Description copied from interface: `SQLTemplateTranslator`
    Builds and returns a SQLStatement based on SQL template String and a list of positional parameters.
    Specified by:
      `translate` in interface `SQLTemplateTranslator`

  - ### process

    protected TranslatedSQL process(String template, Context context)